Installing GitLab on XStreamOS/illumos (OpenSolaris 11)

Hello,
I am at the last stages of installing GitLab on our XStreamOS/illumos distro.
Followed all the instructions here : https://docs.gitlab.com/ee/install/installation.html
So I packaged and installed any ìnecessary dependency stated in the documentation.
I had some issues during the “Install Gems” step, where I had to help bundle to build some of the native extensions using system libraries specifically packaged and installed, expecially grpc.
Once I got the full bundle install work, I got to the “Install GitLab Shell” step, and I got an error here:

** Invoke gitlab:shell:install (first_time)
** Invoke gitlab_environment (first_time)
** Invoke environment (first_time)
** Execute environment
rake aborted!
LoadError: cannot load such file -- gitaly
/sonicle/home/gitlab/vendor/bundle/ruby/2.3.0/gems/activesupport-5.0.7.1/lib/active_support/dependencies.rb:293:in `require'
/sonicle/home/gitlab/vendor/bundle/ruby/2.3.0/gems/activesupport-5.0.7.1/lib/active_support/dependencies.rb:293:in `block in require'
/sonicle/home/gitlab/vendor/bundle/ruby/2.3.0/gems/activesupport-5.0.7.1/lib/active_support/dependencies.rb:259:in `load_dependency'
/sonicle/home/gitlab/vendor/bundle/ruby/2.3.0/gems/activesupport-5.0.7.1/lib/active_support/dependencies.rb:293:in `require'
/sonicle/home/gitlab/lib/gitlab/gitaly_client.rb:5:in `<top (required)>'

I have installed gitaly, I can find gitaly-0.30.0 and gitaly-proto-1.8.0 in /usr/ruby/2.3/lib/ruby/gems/2.3.0/gems.
What may be the problem?
Thanks
Gabriele